summaryrefslogtreecommitdiffstats
path: root/util/t/stt/stt-works-with-espeak
diff options
context:
space:
mode:
authorlassulus <lassulus@googlemail.com>2013-11-06 14:33:16 +0100
committerlassulus <lassulus@googlemail.com>2013-11-06 14:33:16 +0100
commitfca6bdeafc18edbd9c881979b0f48dd69f779a82 (patch)
tree9d1b9f924d216b1a04aa4545f649d7554c8efccb /util/t/stt/stt-works-with-espeak
parent63480bb3e7f268e91bbd143f18c3e5df324b1874 (diff)
parent7d6b65a71a3a18bb50c699e57738723d2056f436 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'util/t/stt/stt-works-with-espeak')
-rwxr-xr-xutil/t/stt/stt-works-with-espeak16
1 files changed, 16 insertions, 0 deletions
diff --git a/util/t/stt/stt-works-with-espeak b/util/t/stt/stt-works-with-espeak
new file mode 100755
index 00000000..ff39f567
--- /dev/null
+++ b/util/t/stt/stt-works-with-espeak
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+cd $(dirname $(readlink -f $0))
+. ../../lib/stt/google.sh
+tmp=$(mktemp)
+test_str="hello"
+trap "rm $tmp" TERM INT EXIT HUP
+espeak --stdout "$test_str" | flac --totally-silent -f -o "$tmp" -
+
+if stt "$tmp" | egrep "^$test_str\$" >/dev/null ;then
+ echo "ok"
+ exit 0
+else
+ echo "not ok"
+ exit 1
+fi